Polyrankdocs
Search

GET /v1/search

Universal resolver: address / partial address / condition_id / token_id / username / event, question, category or board text → grouped results (`groups`), plus the flat v1 `results`.

GET
/v1/search

Universal resolver: address / partial address / condition_id / token_id / username / event, question, category or board text → grouped results (groups), plus the flat v1 results.

AuthorizationBearer <token>

API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)

In: header

Query Parameters

q*string
limit?integer
type?string
category?string
subcategory?string
state?string
offset?integer

Response Body

application/json

curl -X GET "https://example.com/v1/search?q=string"
{  "query": "string",  "kind": "address",  "results": [    {      "type": "trader",      "proxy_wallet": "string",      "username": "string",      "pseudonym": "string",      "display_name": "string",      "verified": true,      "total_pnl": 0,      "volume": 0,      "has_metrics": true    }  ],  "corrected_query": "string",  "groups": {    "traders": [      {        "type": "trader",        "proxy_wallet": "string",        "username": "string",        "pseudonym": "string",        "display_name": "string",        "verified": true,        "total_pnl": 0,        "volume": 0,        "has_metrics": true      }    ],    "events": [      {        "type": "event",        "id": "string",        "slug": "string",        "title": "string",        "category": "string",        "subcategory": "string",        "subcategory_label": "string",        "questions": 0,        "live": true,        "resolved": true,        "volume_24h": 0,        "volume_30d": 0      }    ],    "markets": [      {        "type": "market",        "condition_id": "string",        "slug": "string",        "title": "string",        "category": "string",        "subcategory": "string",        "subcategory_label": "string",        "subtype": "string",        "subtype_label": "string",        "resolved": true,        "winner_outcome": "YES",        "token_side": "YES",        "label": "string",        "event_slug": "string",        "event_title": "string",        "live": true,        "volume_24h": 0,        "yes_mid": 0      }    ],    "categories": [      {        "type": "category",        "category": "string"      }    ],    "boards": [      {        "type": "board",        "id": "string",        "name": "string"      }    ]  },  "total": {    "traders": 0,    "events": 0,    "markets": 0  }}